All pages
Powered by GitBook
1 of 1

Loading...

Get currency

get

Returns the currency with the specified ID. Use the select query parameter to specify which fields to include.

Path parameters
idstringRequired

The currency ID.

Query parameters
selectstringOptional

Optional select statement to filter fields.

Responses
200

OK

application/json

Represents currency in exchange module.

atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional

The unique identifier of the currency.

namestringOptional

The name of the currency.

codestringOptional

The ISO code of currency

precisioninteger · int32Optional

Precision of the currency

sellerCountinteger · int32Optional

Number of sellers using currency

pairCountinteger · int32Optional

Number of pairs

statusstring · enumOptional

Currency status enumeration

Possible values:
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/exchange/currencies/{id}
GET /public/v1/exchange/currencies/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "deleted": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "icon": "text",
  "revision": 1,
  "id": "text",
  "name": "text",
  "code": "text",
  "precision": 1,
  "statistics": {
    "sellerCount": 1,
    "pairCount": 1
  },
  "status": "Active"
}

Retrieves a currency by ID.